<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 25/5/2018
 * Time: 7:22 PM
 */
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idCondominio']) && isset($_REQUEST['estado'])) {
            $estado = $_REQUEST['estado'];
            $condominioid = $_REQUEST['idCondominio'];
            $condominio = R::load('condominio', $condominioid);
            $condominio->fechaModificacion = date('Y-m-d H:i:s');
            $condominio->estado = $estado;
            $id = R::store($condominio);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}